# Variable ReadableStream

ReadableStream: {
prototype: ReadableStream<any>;
new (underlyingSource, strategy?): ReadableStream<Uint8Array<ArrayBufferLike>>;
new <R>(underlyingSource?, strategy?): ReadableStream<R>;
}

#### Type declaration

- - new (underlyingSource, strategy?): ReadableStream<Uint8Array<ArrayBufferLike>>

  - #### Parameters

    - ##### underlyingSource: UnderlyingByteSource

    - ##### `Optional` strategy: QueuingStrategy<Uint8Array<ArrayBufferLike>>

    #### Returns ReadableStream<Uint8Array<ArrayBufferLike>>

  - new <R>(underlyingSource?, strategy?): ReadableStream<R>

  - #### Type Parameters

    - #### R = any

    #### Parameters

    - ##### `Optional` underlyingSource: UnderlyingSource<R>

    - ##### `Optional` strategy: QueuingStrategy<R>

    #### Returns ReadableStream<R>

- ##### prototype: ReadableStream<any>

Generated using TypeDoc